﻿@model AHCBL.Dto.Admin.QAConfigDto
@{
    ViewBag.Title = "QA Config";
}

@using (Html.BeginForm("Edit", "Config", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    <input type="submit" value="Save" class="btn btn-default btn-fixed-top" />
    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">1:1문의 설정</h5>
                    </div>
                    <div class="card-body">
                        <div class="alert alert-light" role="alert">
                            <p>
                                메일 내용에 {이름} , {닉네임} , {회원아이디} , {이메일} 처럼 내용에 삽입하면 해당 내용에 맞게 변환하여 메일을 발송합니다.
                            </p>
                        </div>
                        <div class="table-responsive">
                            <div style="min-width:1366px;max-width:100%; margin:auto;">
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                                @Html.HiddenFor(model => model.id)
                                <table class="table">
                                    <tr>
                                        <th>
                                            <label>메일 제목필수</label>
                                        </th>
                                        <td>
                                            @Html.EditorFor(model => model.title, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            @Html.ValidationMessageFor(model => model.title, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>메일 내용필수</label>
                                        </th>
                                        <td>
                                        </td>
                                    </tr>
                                    <tr><td colspan="2"></td></tr>
                                </table>
                                <div class="form-group text-center">
                                    <div class="col-md-offset-2 col-md-10">
                                        <input type="button" value="Back" onclick="location.href='@Url.Action("Index", "SendEmail")'" class="btn btn-light" />
                                        <input type="submit" value="Save" class="btn btn-default" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}











@*@model IEnumerable<AHCBL.Dto.Admin.QAConfigDto>
    @{
        ViewBag.Title = "QA Config";
    }
    <p>
        @Html.ActionLink("Create New", "Create")
    </p>
    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.category)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.directory_skin)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.mobile_directory_skin)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.use_email)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.mobile_use_email)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.use_sms)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.send_number)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.mobile_admin)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.email_admin)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.use_editor)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.subject_len)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.mobile_subject_len)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.page_rows)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.mobile_page_rows)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.image_width)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.upload_size)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.include_top)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.include_bottom)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.detail_hots)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.detail_bottom)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.mobile_detail_hots)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.mobile_detail_bottom)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.insert_content)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.subj1)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.subj2)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.subj3)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.subj4)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.subj5)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.txt1)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.txt2)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.txt3)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.txt4)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.txt5)
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.category)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.directory_skin)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.mobile_directory_skin)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.use_email)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.mobile_use_email)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.use_sms)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.send_number)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.mobile_admin)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.email_admin)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.use_editor)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.subject_len)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.mobile_subject_len)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.page_rows)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.mobile_page_rows)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.image_width)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.upload_size)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.include_top)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.include_bottom)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.detail_hots)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.detail_bottom)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.mobile_detail_hots)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.mobile_detail_bottom)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.insert_content)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.subj1)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.subj2)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.subj3)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.subj4)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.subj5)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.txt1)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.txt2)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.txt3)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.txt4)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.txt5)
                </td>
                <td>
                    @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
                    @Html.ActionLink("Details", "Details", new { id = item.id }) |
                    @Html.ActionLink("Delete", "Delete", new { id = item.id })
                </td>
            </tr>
        }

    </table>*@
